Bug 1276416 (CVE-2015-7981) - CVE-2015-7981 libpng: Out-of-bounds read in png_convert_to_rfc1123
Summary: CVE-2015-7981 libpng: Out-of-bounds read in png_convert_to_rfc1123
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-7981
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1276417 1276418 1276419 1283572 1283573 1283576 1283577
Blocks: 1276422
TreeView+ depends on / blocked
 
Reported: 2015-10-29 15:59 UTC by Adam Mariš
Modified: 2019-09-29 13:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An array-indexing error was discovered in the png_convert_to_rfc1123() function of libpng. An attacker could possibly use this flaw to cause an out-of-bounds read by tricking an unsuspecting user into processing a specially crafted PNG image.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:44:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2594 normal SHIPPED_LIVE Moderate: libpng security update 2015-12-09 18:35:49 UTC
Red Hat Product Errata RHSA-2015:2595 normal SHIPPED_LIVE Moderate: libpng12 security update 2015-12-09 19:12:41 UTC
Red Hat Product Errata RHSA-2016:0099 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2016-02-02 18:52:52 UTC
Red Hat Product Errata RHSA-2016:0100 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2016-02-02 15:04:39 UTC
Red Hat Product Errata RHSA-2016:0101 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2016-02-02 15:00:49 UTC
Red Hat Product Errata RHSA-2016:1430 normal SHIPPED_LIVE Moderate: java-1.7.0-ibm and java-1.7.1-ibm security update 2016-07-18 17:51:35 UTC

Description Adam Mariš 2015-10-29 15:59:04 UTC
An out-of-bounds read in png_convert_to_rfc1123 in png.c was found.

Upstream bug:

http://sourceforge.net/p/libpng/bugs/241/

Upstream patch:

http://sourceforge.net/p/libpng/code/ci/fbf0f024346ca0a4ffc64b082a95c6b6bb6d29c4/

CVE assignment:

http://seclists.org/oss-sec/2015/q4/161

Comment 1 Adam Mariš 2015-10-29 15:59:46 UTC
Created libpng10 tracking bugs for this issue:

Affects: fedora-all [bug 1276417]
Affects: epel-6 [bug 1276419]

Comment 2 Adam Mariš 2015-10-29 15:59:53 UTC
Created libpng12 tracking bugs for this issue:

Affects: fedora-all [bug 1276418]

Comment 3 Stefan Cornelius 2015-11-04 13:46:26 UTC
This is an array indexing error, which can lead to an out-of-bounds read of a static buffer.

The fix is strange, but should work: the result is now unsigned (no longer negative, but now a huge positive number). But that doesn't matter, because the modulo 12 trims it down to sane, but obviously incorrect numbers.

Currently, I'd say that this probably does not even lead to a crash, let alone code exec.

Comment 7 Fedora Update System 2015-11-24 19:51:52 UTC
libpng10-1.0.64-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-11-24 22:24:14 UTC
libpng10-1.0.64-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-11-24 22:49:53 UTC
libpng10-1.0.64-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Petr Hracek 2015-11-27 15:49:21 UTC
Do you have any reproducer?

Can can we test it whether it is fixed.

Or it is only SanityOnly?

Comment 11 Fedora Update System 2015-11-30 21:57:53 UTC
libpng10-1.0.64-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2015-12-09 13:36:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2594 https://rhn.redhat.com/errata/RHSA-2015-2594.html

Comment 13 errata-xmlrpc 2015-12-09 14:14:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2595 https://rhn.redhat.com/errata/RHSA-2015-2595.html

Comment 14 Fedora Update System 2016-01-02 22:21:08 UTC
libpng12-1.2.56-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-01-02 23:20:08 UTC
libpng12-1.2.56-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 errata-xmlrpc 2016-02-02 10:04:58 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2016:0101 https://rhn.redhat.com/errata/RHSA-2016-0101.html

Comment 17 errata-xmlrpc 2016-02-02 10:06:26 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2016:0100 https://rhn.redhat.com/errata/RHSA-2016-0100.html

Comment 18 errata-xmlrpc 2016-02-02 13:53:14 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2016:0099 https://rhn.redhat.com/errata/RHSA-2016-0099.html

Comment 19 errata-xmlrpc 2016-07-18 13:55:23 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2016:1430 https://access.redhat.com/errata/RHSA-2016:1430


Note You need to log in before you can comment on or make changes to this bug.